TIREX-STATUS(1)

NAME
tirex-status - show status of tirex master

SYNOPSIS
tirex-status [OPTIONS]

OPTIONS

-h, --help
    Display help message.

-o, --once
    Show status only once, default is to show it once per second.

-t, --times
    Show a table of rendering times by style and zoom level. Implies --once.

-n, --numbers
    Show a table of rendering counts by style and zoom level. Implies --once.

-r, --raw
    Return status in raw JSON format instead of in ANSI coloured human readable form. Implies --once.

-e, --extended
    Show renderer and map config, too.

DESCRIPTION
Reads out the status of the running tirex-master process through shared memory and displays it. The display is formatted for human consumption on a terminal and uses ANSI control codes for colour, unless you specify the --raw option.

DIAGNOSTICS
tirex-status returns 1 if there was an error, 0 otherwise.

SEE ALSO
<http://wiki.openstreetmap.org/wiki/Tirex>

AUTHORS
Frederik Ramm <frederik.ramm@geofabrik.de>, Jochen Topf <jochen.topf@geofabrik.de> and possibly others.